SELECT

tbKassenAbschluss.Maschine AS Station,

tbKassenAbschluss.AbschlussID AS AbschlussNr, 

tbKassenAbschluss.StartDatum AS Start,

tbKassenAbschluss.WechselGeld AS Anfangsbestand,

 

tbBuchung.Datum,

 

[Vorgang] =

 CASE

             WHEN ((tbBuchungDetail.EAN) LIKE '401-%' OR (tbBuchungDetail.EAN) LIKE 'WGS%') AND (tbBuchungDetail.EAN) <> '401-Diverses' THEN

CASE

             WHEN (tbBuchungDetail.EAN) = '401-Entnahme'THEN 'Entnahme'

             WHEN (tbBuchungDetail.EAN) = '401-Einlage' AND (tbBuchungDetail.Konto) = '401-Retoure Einlage' THEN 'Retoure Wertgutschein'

             WHEN (tbBuchungDetail.EAN) = '401-Einlage' AND (tbBuchungDetail.Konto) = '401-Einlagen' THEN 'Einlage'

             WHEN (tbBuchungDetail.EAN) = '401-Pfand' THEN 'Pfand'

             WHEN (tbBuchungDetail.WarenGruppe) = '401-Gutschein' AND (tbBuchungDetail.Bezeichnung) LIKE 'Anzahlung%' THEN 'Anzahlung'

             WHEN (tbBuchungDetail.WarenGruppe) = '401-Gutschein' AND (tbBuchungDetail.Bezeichnung) LIKE 'Gutschein%' THEN 'Gutscheinverkauf'

             WHEN (tbBuchungDetail.WarenGruppe) = '401-GutscheinErloes' AND (tbBuchungDetail.Bezeichnung) LIKE 'Anzahlung%' THEN 'Anzahlungserl�s'

             WHEN (tbBuchungDetail.WarenGruppe) = '401-GutscheinErloes' THEN 'Gutscheinerl�s'

             WHEN (tbBuchungDetail.EAN) = '401-EntnahmeBank' THEN 'Banktransfer'

             ELSE 'Unbekannt'

       END

WHEN (tbBuchung.BelegTyp) = 'GS' THEN 'Gutschrift'

WHEN (tbBuchungDetail.Warengruppe) LIKE '401-Leergut%' THEN 'Leergut'

WHEN (tbBuchung.ZahlArt) = 'KARTE' THEN 'KARTE'

WHEN (tbBuchungDetail.Konto) NOT LIKE '401-Gutschein%'  AND (tbBuchungDetail.BasisMenge) < 0 THEN 'Retoure Auszahlung'

WHEN (tbBuchungDetail.Konto) LIKE '401-Gutschein Nr.%' THEN 'Retoure (ohne Auszahlung)'

WHEN (tbBuchung.ZahlArt) = 'BAR' THEN 'BAR'

WHEN (tbBuchung.ZahlArt) = 'ENTNAHME' AND (tbBuchungDetail.Zusatz1) LIKE 'Warenr�ckgabe%' THEN 'Retoure'

ELSE 'Rechnung'

END,

 

[Buchungstext] =

CASE

      WHEN tbBuchung.BelegTyp = 'RG' THEN

            tbBuchung.ZahlArt + ' ' + tbBuchung.BelegTyp + ' ' + CAST(tbBuchung.BelegNr AS Varchar(20)) + ' ' + tbBuchungDetail.Bezeichnung

 

WHEN (tbBuchungDetail.WarenGruppe) = '401-Gutschein' AND (tbBuchungDetail.Bezeichnung) LIKE 'Anzahlung%' THEN tbBuchungDetail.Bezeichnung +' - Gutschein Nr. ' + SUBSTRING (tbBuchungDetail.EAN,4,9999999)

 

             WHEN (tbBuchungDetail.WarenGruppe) = '401-Gutschein' AND (tbBuchungDetail.Bezeichnung) LIKE 'Gutschein%' THEN tbBuchungDetail.Bezeichnung +' Nr. ' + SUBSTRING (tbBuchungDetail.EAN,4,9999999)

             WHEN (tbBuchungDetail.WarenGruppe) = '401-GutscheinErloes' AND (tbBuchungDetail.Bezeichnung) LIKE 'Anzahlung%' THEN tbBuchungDetail.Bezeichnung + ' - Gutschein Nr. ' + SUBSTRING (tbBuchungDetail.EAN,4,9999999)

 

             WHEN (tbBuchungDetail.WarenGruppe) = '401-GutscheinErloes' THEN tbBuchungDetail.Bezeichnung + ' Nr. ' + SUBSTRING (tbBuchungDetail.EAN,4,9999999)

 

      ELSE

            'Warenverkauf'

END,

 

 

 

tbBuchungDetail.SteuerSatz

,[Netto] =

       CASE

             WHEN (tbBuchung.ZahlArt)='ENTNAHME' THEN CAST(SUM(-tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1)) AS Decimal(20,2))

             ELSE CAST(SUM(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1)) AS Decimal(20,2))

       END

,[Ust] =

       CASE

             WHEN (tbBuchung.ZahlArt)='ENTNAHME' THEN CAST(SUM(-tbBuchungDetail.GesamtPreisBrutto-(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1))) AS Decimal(20,2))

             ELSE CAST(SUM(tbBuchungDetail.GesamtPreisBrutto-(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1))) AS Decimal(20,2))

       END

,[Brutto] =

       CASE

             WHEN (tbBuchung.ZahlArt)='ENTNAHME' THEN CAST(SUM(-tbBuchungDetail.GesamtPreisBrutto) AS Decimal(20,2))

             ELSE  CAST(SUM(tbBuchungDetail.GesamtPreisBrutto) AS Decimal(20,2))

       END

,

tbKassenAbschluss.EndDatum AS Ende,

tbKassenAbschluss.SollBestand AS Soll,

tbKassenAbschluss.IstBestand AS Gezaehlt,

tbKassenAbschluss.Differenz,

tbBuchungDetail.Konto 

FROM (tbKassenAbschluss INNER JOIN tbBuchung ON

tbKassenAbschluss.AbschlussID = tbBuchung.AbschlussID) INNER JOIN tbBuchungDetail ON tbBuchung.BuchungID = tbBuchungDetail.BuchungID

 

WHERE

(tbKassenAbschluss.IsAbschluss<>0)

AND (tbBuchung.IsStorniert=0)

AND (tbBuchungDetail.EAN<>'ZWS')

AND ((tbBuchung.BelegTyp='BN') OR (tbBuchung.BelegTyp='RG'))

AND ((tbBuchung.ZahlArt='BAR') OR (tbBuchung.ZahlArt='EINLAGE')OR (tbBuchung.ZahlArt='KARTE') OR (tbBuchung.ZahlArt='ENTNAHME'))

AND (tbKassenAbschluss.Maschine LIKE '#DLG_Station#')

AND (tbKassenAbschluss.EndDatum BETWEEN #DLG_Between#)

GROUP BY

tbKassenAbschluss.Maschine,

tbKassenAbschluss.AbschlussID,

tbKassenAbschluss.StartDatum,

tbKassenAbschluss.WechselGeld,

tbBuchung.Datum,

tbBuchungDetail.SteuerSatz,

tbBuchung.ZahlArt, 

 

 

CASE

             WHEN ((tbBuchungDetail.EAN) LIKE '401-%' OR (tbBuchungDetail.EAN) LIKE 'WGS%') AND (tbBuchungDetail.EAN) <> '401-Diverses' THEN

CASE

             WHEN (tbBuchungDetail.EAN) = '401-Entnahme'THEN 'Entnahme'

             WHEN (tbBuchungDetail.EAN) = '401-Einlage' AND (tbBuchungDetail.Konto) = '401-Retoure Einlage' THEN 'Retoure Wertgutschein' 

             WHEN (tbBuchungDetail.EAN) = '401-Einlage' AND (tbBuchungDetail.Konto) = '401-Einlagen' THEN 'Einlage'

             WHEN (tbBuchungDetail.EAN) = '401-Pfand' THEN 'Pfand'

             WHEN (tbBuchungDetail.WarenGruppe) = '401-Gutschein' AND (tbBuchungDetail.Bezeichnung) LIKE 'Anzahlung%' THEN  'Anzahlung'

             WHEN (tbBuchungDetail.WarenGruppe) = '401-Gutschein' AND (tbBuchungDetail.Bezeichnung) LIKE 'Gutschein%' THEN 'Gutscheinverkauf'

             WHEN (tbBuchungDetail.WarenGruppe) = '401-GutscheinErloes' AND (tbBuchungDetail.Bezeichnung) LIKE 'Anzahlung%' THEN 'Anzahlungserl�s'

             WHEN (tbBuchungDetail.WarenGruppe) = '401-GutscheinErloes' THEN 'Gutscheinerl�s'

             WHEN (tbBuchungDetail.EAN) = '401-EntnahmeBank' THEN 'Banktransfer'

             ELSE 'Unbekannt'

       END

WHEN (tbBuchung.BelegTyp) = 'GS' THEN 'Gutschrift'

WHEN (tbBuchungDetail.Warengruppe) LIKE '401-Leergut%' THEN 'Leergut'

WHEN (tbBuchung.ZahlArt) = 'KARTE' THEN 'KARTE'

WHEN (tbBuchungDetail.Konto) NOT LIKE '401-Gutschein%'  AND (tbBuchungDetail.BasisMenge) < 0 THEN 'Retoure Auszahlung'

WHEN (tbBuchungDetail.Konto) LIKE '401-Gutschein Nr.%' THEN 'Retoure (ohne Auszahlung)'

WHEN (tbBuchung.ZahlArt) = 'BAR' THEN 'BAR'

WHEN (tbBuchung.ZahlArt) = 'ENTNAHME' AND (tbBuchungDetail.Zusatz1) LIKE 'Warenr�ckgabe%' THEN 'Retoure'

ELSE 'Rechnung'

END,

 

CASE

      WHEN tbBuchung.BelegTyp = 'RG' THEN

            tbBuchung.ZahlArt + ' ' + tbBuchung.BelegTyp + ' ' + CAST(tbBuchung.BelegNr AS Varchar(20)) + ' ' + tbBuchungDetail.Bezeichnung

 

WHEN (tbBuchungDetail.WarenGruppe) = '401-Gutschein' AND (tbBuchungDetail.Bezeichnung) LIKE 'Anzahlung%' THEN tbBuchungDetail.Bezeichnung +' - Gutschein Nr. ' + SUBSTRING (tbBuchungDetail.EAN,4,9999999)

 

             WHEN (tbBuchungDetail.WarenGruppe) = '401-Gutschein' AND (tbBuchungDetail.Bezeichnung) LIKE 'Gutschein%' THEN tbBuchungDetail.Bezeichnung +' Nr. ' + SUBSTRING (tbBuchungDetail.EAN,4,9999999)

 

             WHEN (tbBuchungDetail.WarenGruppe) = '401-GutscheinErloes' AND (tbBuchungDetail.Bezeichnung) LIKE 'Anzahlung%' THEN tbBuchungDetail.Bezeichnung + ' - Gutschein Nr. ' + SUBSTRING (tbBuchungDetail.EAN,4,9999999)

 

             WHEN (tbBuchungDetail.WarenGruppe) = '401-GutscheinErloes' THEN tbBuchungDetail.Bezeichnung + ' Nr. ' + SUBSTRING (tbBuchungDetail.EAN,4,9999999)

      ELSE

            'Warenverkauf'

END,

tbKassenAbschluss.EndDatum,

tbKassenAbschluss.SollBestand,

tbKassenAbschluss.IstBestand,

tbKassenAbschluss.Differenz, 

tbBuchungDetail.Konto 

 

    

   

ORDER BY

tbKassenAbschluss.Maschine,

tbKassenAbschluss.AbschlussID ASC,

 

tbBuchung.ZahlArt,

 

tbBuchungDetail.SteuerSatz DESC
